## UDisksSimpleJob

UDisksSimpleJob — A simple job

## Functions

UDisksSimpleJob * | udisks_simple_job_new ()
void | udisks_simple_job_complete ()

## Types and Values

| UDisksSimpleJob

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksJobSkeleton
                ╰── UDisksBaseJob
                    ╰── UDisksSimpleJob

## Implemented Interfaces

UDisksSimpleJob implements GDBusInterface and UDisksJob.

## Description

This type provides an implementation of the UDisksJob interface for simple jobs.

## Functions

### udisks_simple_job_new ()

    UDisksSimpleJob *
    udisks_simple_job_new (UDisksDaemon *daemon,
                           GCancellable *cancellable);

Creates a new UDisksSimpleJob instance.

Call `udisks_simple_job_complete()` to complete the returned job.

#### Parameters

daemon | A UDisksDaemon. |
cancellable | A GCancellable or `NULL`. |

#### Returns

A new UDisksSimpleJob. Free with `g_object_unref()`.

### udisks_simple_job_complete ()

    void
    udisks_simple_job_complete (UDisksSimpleJob *job,
                                gboolean succeess,
                                const gchar *message);

Completes `job` .

#### Parameters

job | A UDisksSimpleJob. |
succeess | Whether the job succeeded. |
message | An error message or `NULL`. |

## Types and Values

### UDisksSimpleJob

    typedef struct _UDisksSimpleJob UDisksSimpleJob;

The UDisksSimpleJob structure contains only private data and should only be accessed using the provided API.